be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class GetMessageListResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.ResponseType
  - - be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageListResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GetAllEhboxesMessagesListResponse, GetMessagesListResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:57:56+02:00",
                 comments="JAXB RI v2.2.11")
      public class GetMessageListResponseType
      extends ResponseType
      implements Serializable

  Java class for GetMessageListResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetMessageListResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
             <sequence minOccurs="0">
               <element name="Source">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="INBOX"/>
                     <enumeration value="SENTBOX"/>
                     <enumeration value="BININBOX"/>
                     <enumeration value="BINSENTBOX"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="Message" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
                         <element name="Destination" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
                         <element name="Sender" type="{urn:be:fgov:ehealth:ehbox:core:v3}SenderType"/>
                         <element name="MessageInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageInfoType"/>
                         <element name="ContentInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentInfoType" minOccurs="0"/>
                         <element name="ContentSpecification" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentSpecificationType"/>
                         <element name="CustomMeta" type="{urn:be:fgov:ehealth:ehbox:core:v3}CustomMetaType" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMessageListResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Message>` | `getMessages()` Gets the value of the messages property.
    `String` | `getSource()` Gets the value of the source property.
    `void` | `setSource(String value)` Sets the value of the source property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

      `getId, getStatus, setId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMessageListResponseType

          public GetMessageListResponseType()

  - ### Method Detail

    - #### getSource

          public String getSource()

      Gets the value of the source property.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessages

          public List<Message> getMessages()

      Gets the value of the messages property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

      For example, to add a new item, do as follows:

              getMessages().add(newItem);

      Objects of the following type(s) are allowed in the list `Message`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.